## org.gjt.sp.jedit
Interface MiscUtilities.Compare

All Superinterfaces:
  java.util.Comparator

All Known Implementing Classes:
  MiscUtilities.MenuItemCompare, MiscUtilities.StringCompare, MiscUtilities.StringICaseCompare, VFS.DirectoryEntryCompare

Enclosing interface:
  MiscUtilities

public static interface MiscUtilities.Compare
extends java.util.Comparator

An interface for comparing objects. This is a hold-over from they days when jEdit had its own sorting API due to JDK 1.1 compatibility requirements. Use `java.util.Comparable` instead.

Method Summary
`int` `compare(java.lang.Object obj1, java.lang.Object obj2)`

Methods inherited from interface java.util.Comparator
`equals`

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Specified by:
    `compare` in interface `java.util.Comparator`